> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Shipping Zones

GET https://api.bigcommerce.com/stores/{store_hash}/v2/shipping/zones

Returns a list of all *Shipping Zones*.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/shipping/v2/shipping-zones/get-shipping-zones

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | | - | - | - | | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

OK

- `list of ShippingZonesGetResponsesContentApplicationJsonSchemaItems`

## Types

### ShippingZonesGetResponsesContentApplicationJsonSchemaItems

- `id` (integer, optional) — Zone ID
- `name` (string, optional) — Zone name. Required for PUT requests.
- `type` (enum, optional)
  - Allowed values: `zip`, `country`, `state`, `global`
- `locations` (list of ShippingZonesGetResponsesContentApplicationJsonSchemaItemsLocationsItems, optional) — Array of zone locations.
- `free_shipping` (ShippingZonesGetResponsesContentApplicationJsonSchemaItemsFreeShipping, optional)
- `handling_fees` (ShippingZonesGetResponsesContentApplicationJsonSchemaItemsHandlingFees, optional)
- `enabled` (boolean, optional) — Whether this shipping zone is enabled.

### ShippingZonesGetResponsesContentApplicationJsonSchemaItemsLocationsItems

- `id` (integer, optional) — Location’s ID.
- `zip` (string, optional) — Location’s ZIP/postal code.
- `country_iso2` (string, optional) — 2-letter ISO Alpha-2 code for the country.
- `state_iso2` (string, optional) — ISO Alpha-2 code for the state.

### ShippingZonesGetResponsesContentApplicationJsonSchemaItemsFreeShipping

- `enabled` (boolean, optional)
- `minimum_sub_total` (string, optional) — (Float, Float-As-String, Integer)
- `exclude_fixed_shipping_products` (boolean, optional)

### ShippingZonesGetResponsesContentApplicationJsonSchemaItemsHandlingFees

### Fixed surcharge

- `fixed_surcharge` (string, optional) — Flat-rate handling fee applied to shipping cost.
- `display_separately` (boolean, optional) — Indicates whether store displays handling fee separately at checkout.

### Percentage surcharge

- `percentage_surcharge` (string, optional) — Percentage handling fee applied to shipping cost.
- `display_separately` (boolean, optional) — Indicates whether store displays handling fee separately at checkout.

## Examples

### Example 1: Zones are Country Zones

**Response**

```json
[
  {
    "id": 1,
    "name": "United States",
    "type": "country",
    "locations": [
      {
        "id": 5,
        "country_iso2": "US"
      }
    ],
    "free_shipping": {
      "enabled": false,
      "minimum_sub_total": "0.0000",
      "exclude_fixed_shipping_products": false
    },
    "enabled": true
  },
  {
    "id": 2,
    "name": "Australia",
    "type": "country",
    "locations": [
      {
        "id": 6,
        "country_iso2": "AU"
      }
    ],
    "free_shipping": {
      "enabled": false,
      "minimum_sub_total": "0.0000",
      "exclude_fixed_shipping_products": false
    },
    "enabled": true
  }
]
```

**SDK Code**

```python Example 1: Zones are Country Zones
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example 1: Zones are Country Zones
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1: Zones are Country Zones
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1: Zones are Country Zones
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example 1: Zones are Country Zones
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Example 1: Zones are Country Zones
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1: Zones are Country Zones
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Example 1: Zones are Country Zones
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example 2: Zone is Selection of States in a Country

**Response**

```json
[
  {
    "id": 2,
    "name": "States in the U.S.",
    "type": "state",
    "locations": [
      {
        "id": 3,
        "country_iso2": "US",
        "state_iso2": "TX"
      },
      {
        "id": 4,
        "country_iso2": "US",
        "state_iso2": "TX"
      }
    ],
    "free_shipping": {
      "enabled": false,
      "minimum_sub_total": "0",
      "exclude_fixed_shipping_products": true
    },
    "handling_fees": {
      "display_separately": false,
      "fixed_surcharge": "0"
    },
    "enabled": false
  }
]
```

**SDK Code**

```python Example 2: Zone is Selection of States in a Country
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example 2: Zone is Selection of States in a Country
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 2: Zone is Selection of States in a Country
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 2: Zone is Selection of States in a Country
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example 2: Zone is Selection of States in a Country
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Example 2: Zone is Selection of States in a Country
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example 2: Zone is Selection of States in a Country
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Example 2: Zone is Selection of States in a Country
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```